%define upstream_name    Graphics-ColorNames
%define upstream_version v3.5.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    provides RGB values for standard color names
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graphic/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Load) >= 0.100.0
BuildRequires: perl(Module::Loaded)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module provides a common interface for obtaining the RGB values of
colors by standard names. The intention is to (1) provide a common module
that authors can use with other modules to specify colors by name; and (2)
free module authors from having to "re-invent the wheel" whenever they
decide to give the users the option of specifying a color by name rather
than RGB value.

For example,

  use Graphics::ColorNames 2.10;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.5.0-4.mga10
+ Revision: 2205609
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.5.0-3.mga9
+ Revision: 1811676
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 3.5.0-2.mga8
+ Revision: 1526773
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 3.5.0-1.mga8
+ Revision: 1415581
- update to v3.5.0

* Tue Nov 20 2018 tv <tv> 3.4.0-1.mga7
+ Revision: 1332360
- update to v3.4.0

* Sun Nov 18 2018 tv <tv> 3.3.4-1.mga7
+ Revision: 1330618
- update to v3.3.4

* Tue Oct 30 2018 tv <tv> 3.3.3-1.mga7
+ Revision: 1326666
- update to v3.3.3

* Fri Oct 26 2018 tv <tv> 3.3.1-1.mga7
+ Revision: 1325658
- update to v3.3.1

* Wed Oct 17 2018 shlomif <shlomif> 3.2.1-1.mga7
+ Revision: 1321459
- update to v3.2.1

* Wed Sep 19 2018 umeabot <umeabot> 2.110.0-8.mga7
+ Revision: 1268377
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.110.0-7.mga6
+ Revision: 1027966
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.110.0-6.mga6
+ Revision: 931149
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-5.mga5
+ Revision: 750782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-4.mga5
+ Revision: 684895
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.110.0-3.mga4
+ Revision: 511935
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 367866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.110.0-1.mga1
+ Revision: 32039
- mageia rebuild
- imported package perl-Graphics-ColorNames

